1.12.2 Error while enabling skript

Discussion in 'Spigot Plugin Development' started by meerzean, Jan 31, 2020.

  1. Can someone help me? I tried different versions of skript but it always giving this error:

    Code (Text):
    [17:50:53] [Server thread/INFO]: [Skript] Enabling Skript v2.4.1
    [17:50:54] [Server thread/INFO]: [Skript] Successfully generated the config and the example scripts.
    [17:50:55] [ForkJoinPool.commonPool-worker-1/INFO]: [Skript] You're currently running the latest stable version of Skript.
    [17:50:55] [Server thread/ERROR]: Error occurred while enabling Skript v2.4.1 (Is it up to date?)
    java.lang.NoSuchMethodError: ch.njol.skript.lang.SyntaxElementInfo.<init>([Ljava/lang/String;Ljava/lang/Class;)V
        at ch.njol.skript.entity.EntityData$EntityDataInfo.<init>(EntityData.java:192) ~[?:?]
        at ch.njol.skript.entity.EntityData.register(EntityData.java:247) ~[?:?]
        at ch.njol.skript.entity.SimpleEntityData.<clinit>(SimpleEntityData.java:142) ~[?:?]
        at ch.njol.skript.entity.EntityData.<clinit>(EntityData.java:150) ~[?:?]
        at ch.njol.skript.aliases.AliasesProvider.addAlias(AliasesProvider.java:267) ~[?:?]
        at ch.njol.skript.aliases.AliasesParser.loadSingleAlias(AliasesParser.java:705) ~[?:?]
        at ch.njol.skript.aliases.AliasesParser.loadAlias(AliasesParser.java:605) ~[?:?]
        at ch.njol.skript.aliases.AliasesParser.load(AliasesParser.java:123) ~[?:?]
        at ch.njol.skript.aliases.Aliases.load(Aliases.java:504) ~[?:?]
        at ch.njol.skript.aliases.Aliases.load(Aliases.java:490) ~[?:?]
        at ch.njol.skript.aliases.Aliases.lambda$1(Aliases.java:473) ~[?:?]
        at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(Unknown Source) ~[?:1.8.0_221]
        at java.util.ArrayList.forEach(Unknown Source) ~[?:1.8.0_221]
        at java.util.stream.SortedOps$RefSortingSink.end(Unknown Source) ~[?:1.8.0_221]
        at java.util.stream.AbstractPipeline.copyInto(Unknown Source) ~[?:1.8.0_221]
        at java.util.stream.AbstractPipeline.wrapAndCopyInto(Unknown Source) ~[?:1.8.0_221]
        at java.util.stream.ForEachOps$ForEachOp.evaluateSequential(Unknown Source) ~[?:1.8.0_221]
        at java.util.stream.ForEachOps$ForEachOp$OfRef.evaluateSequential(Unknown Source) ~[?:1.8.0_221]
        at java.util.stream.AbstractPipeline.evaluate(Unknown Source) ~[?:1.8.0_221]
        at java.util.stream.ReferencePipeline.forEach(Unknown Source) ~[?:1.8.0_221]
        at ch.njol.skript.aliases.Aliases.loadDirectory(Aliases.java:466) ~[?:?]
        at ch.njol.skript.aliases.Aliases.loadInternal(Aliases.java:432) ~[?:?]
        at ch.njol.skript.aliases.Aliases.load(Aliases.java:404) ~[?:?]
        at ch.njol.skript.Skript.onEnable(Skript.java:402) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:403) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:381) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:330) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:422) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:383) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:338) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [Spigot.jar:git-Spigot-dcd1643-e60fc34]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_221]
     
  2. that's a weird one, I am using 1.12.2 and 2.4.1 too without problems, did you try to do it on a server with no any other plugin than Skript?
     
  3. I tried it now and its working well I dont know whats going wrong